Docs › API reference › Additional data
Store additional data
The additional data object defines what extra information you can store when performing a check. It can be used with any product.
POST
https://api.screenlyyid.com/api/v1/additional-dataHeaders#
| Name | Type | Required | Description |
|---|---|---|---|
x-api-key | string | Yes | Your ScreenlyyID API key |
x-correlation-id | string (uuid) | Yes | Correlation ID for this customer check |
Request body#
| Field | Type | Required | Description |
|---|---|---|---|
FirstName | string | No | |
MiddleName | string | No | |
LastName | string | No | |
DocumentNumber | string | No | |
DateOfBirth | string (date-time) | No | |
DocumentExpiryDateTime | string (date-time) | No | |
Gender | string | No | |
Email | string | No | |
PhoneNumber | string | No | |
AddressLine1 | string | No | |
AddressLine2 | string | No | |
City | string | No | |
State | string | No | |
ZipCode | string | No | |
Country | string | No |
Responses#
| Status | Description |
|---|---|
200 | Successful response |
400 | Bad request |
401 | Unauthorized |
500 | Server error |
Code samples#
curl --request POST \
--url 'https://api.screenlyyid.com/api/v1/additional-data' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'x-correlation-id: YOUR_CORRELATION_ID' \
--header 'Content-Type: application/json' \
--data '{
"FirstName": "Jane",
"MiddleName": "<MiddleName>",
"LastName": "Citizen",
"DocumentNumber": "<DocumentNumber>",
"DateOfBirth": "<DateOfBirth>",
"DocumentExpiryDateTime": "<DocumentExpiryDateTime>",
"Gender": "<Gender>",
"Email": "person@example.com",
"PhoneNumber": "+61412345678",
"AddressLine1": "<AddressLine1>",
"AddressLine2": "<AddressLine2>",
"City": "<City>",
"State": "<State>",
"ZipCode": "<ZipCode>",
"Country": "AU"
}'const body = {
"FirstName": "Jane",
"MiddleName": "<MiddleName>",
"LastName": "Citizen",
"DocumentNumber": "<DocumentNumber>",
"DateOfBirth": "<DateOfBirth>",
"DocumentExpiryDateTime": "<DocumentExpiryDateTime>",
"Gender": "<Gender>",
"Email": "person@example.com",
"PhoneNumber": "+61412345678",
"AddressLine1": "<AddressLine1>",
"AddressLine2": "<AddressLine2>",
"City": "<City>",
"State": "<State>",
"ZipCode": "<ZipCode>",
"Country": "AU"
};
const response = await fetch(
"https://api.screenlyyid.com/api/v1/additional-data",
{
"method": "POST",
"headers": {
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID",
"Content-Type": "application/json"
},
"body": JSON.stringify(body)
}
);
const result = await response.json();import requests
payload = {
"FirstName": "Jane",
"MiddleName": "<MiddleName>",
"LastName": "Citizen",
"DocumentNumber": "<DocumentNumber>",
"DateOfBirth": "<DateOfBirth>",
"DocumentExpiryDateTime": "<DocumentExpiryDateTime>",
"Gender": "<Gender>",
"Email": "person@example.com",
"PhoneNumber": "+61412345678",
"AddressLine1": "<AddressLine1>",
"AddressLine2": "<AddressLine2>",
"City": "<City>",
"State": "<State>",
"ZipCode": "<ZipCode>",
"Country": "AU"
}
response = requests.post(
'https://api.screenlyyid.com/api/v1/additional-data',
headers={
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID"
},
json=payload
)
result = response.json()using System.Text;
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
client.DefaultRequestHeaders.Add("x-correlation-id", "YOUR_CORRELATION_ID");
var json = @"{
""FirstName"": ""Jane"",
""MiddleName"": ""<MiddleName>"",
""LastName"": ""Citizen"",
""DocumentNumber"": ""<DocumentNumber>"",
""DateOfBirth"": ""<DateOfBirth>"",
""DocumentExpiryDateTime"": ""<DocumentExpiryDateTime>"",
""Gender"": ""<Gender>"",
""Email"": ""person@example.com"",
""PhoneNumber"": ""+61412345678"",
""AddressLine1"": ""<AddressLine1>"",
""AddressLine2"": ""<AddressLine2>"",
""City"": ""<City>"",
""State"": ""<State>"",
""ZipCode"": ""<ZipCode>"",
""Country"": ""AU""
}";
var content = new StringContent(json, Encoding.UTF8, "application/json");
var response = await client.PostAsync("https://api.screenlyyid.com/api/v1/additional-data", content);
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadAsStringAsync();